[arch-commits] Commit in texlive-langextra/repos (3 files)

François Charette francois at archlinux.org
Tue May 12 18:17:33 EDT 2009


    Date: Tuesday, May 12, 2009 @ 18:17:33
  Author: francois
Revision: 39181

Merged revisions 18926,27148,39144 via svnmerge from 
svn+ssh://archlinux.org/srv/svn-packages/texlive-langextra/trunk

........
  r18926 | francois | 2008-11-11 08:33:41 +0100 (Tue, 11 Nov 2008) | 1 line
  
  changed $startdir
........
  r27148 | francois | 2009-02-16 13:33:56 +0100 (Mon, 16 Feb 2009) | 1 line
  
  renamed locally provided sources for texlive
........
  r39144 | francois | 2009-05-12 21:43:58 +0200 (Tue, 12 May 2009) | 1 line
  
  upgpkg: texlive-langextra 2008.12666-2
........

Modified:
  texlive-langextra/repos/extra-x86_64/	(properties)
  texlive-langextra/repos/extra-x86_64/PKGBUILD
  texlive-langextra/repos/extra-x86_64/texlive.install

-----------------+
 PKGBUILD        |   20 ++++++++++++--------
 texlive.install |    2 ++
 2 files changed, 14 insertions(+), 8 deletions(-)


Property changes on: texlive-langextra/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /texlive-langextra/trunk:1-12512
   + /texlive-langextra/trunk:1-39180

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-05-12 22:16:43 UTC (rev 39180)
+++ extra-x86_64/PKGBUILD	2009-05-12 22:17:33 UTC (rev 39181)
@@ -1,7 +1,7 @@
 # Maintainer: Firmicus <firmicus āt gmx dōt net>
 
 pkgname=texlive-langextra
-pkgver=2008.9736
+pkgver=2008.12666
 pkgrel=2
 pkgdesc="TeX Live - Bundle of all extra language support"
 license=('GPL')
@@ -12,17 +12,21 @@
 makedepends=('lzma-utils')
 groups=('texlive-lang')
 url='http://tug.org/texlive/'
-source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-src.zip")
+source=("ftp://ftp.archlinux.org/other/texlive/$pkgname-$pkgver-src.zip")
 install=texlive.install
-md5sums=('784f89ae42ae4af3ee93c1336e205413')
+md5sums=('80bd4fdbb0010672a927fc0df26aa635')
 
 build() {
-   cd $startdir/src
+   cd $srcdir
+   install -m755 -d $pkgdir/usr/share/texmf-var/arch/installedpkgs || return 1
+   sed -i '/^#/d' CONTENTS || return 1
+   _revnr=`echo $pkgver | sed 's/2008\.//'`
+   install -m644 CONTENTS $pkgdir/usr/share/texmf-var/arch/installedpkgs/${pkgname}_${_revnr}.pkgs || return 1
    for p in *.tar.lzma; do 
 	   lzma --force -dc $p | tar xf - || return 1
    done
-   install -m755 -d $startdir/pkg/usr/share || return 1
-   find texmf* -type d -exec install -d -m755 $startdir/pkg/usr/share/'{}' \; || exit 1
-   find texmf* -type f -exec install -m644 '{}' $startdir/pkg/usr/share/'{}' \; || exit 1
-   chmod a+x $startdir/pkg/usr/share/texmf-dist/scripts/bengali/ebong.py
+   install -m755 -d $pkgdir/usr/share || return 1
+   find texmf* -type d -exec install -d -m755 $pkgdir/usr/share/'{}' \; || exit 1
+   find texmf* -type f -exec install -m644 '{}' $pkgdir/usr/share/'{}' \; || exit 1
+   chmod a+x $pkgdir/usr/share/texmf-dist/scripts/bengali/ebong.py
 }

Modified: extra-x86_64/texlive.install
===================================================================
--- extra-x86_64/texlive.install	2009-05-12 22:16:43 UTC (rev 39180)
+++ extra-x86_64/texlive.install	2009-05-12 22:17:33 UTC (rev 39181)
@@ -10,6 +10,7 @@
 Map concretevn.map
 Map grotesqvn.map
 Map mscorevn.map
+Map skt.map
 Map txttvn.map
 Map urwvn.map
 Map vntopia.map
@@ -49,6 +50,7 @@
 concretevn.map
 grotesqvn.map
 mscorevn.map
+skt.map
 txttvn.map
 urwvn.map
 vntopia.map



More information about the arch-commits mailing list